Package com.smartgwt.logicalstructure.widgets.calendar

# Class CalendarLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.calendar.CalendarLogicalStructure

Direct Known Subclasses:
  `TimelineLogicalStructure`

public class CalendarLogicalStructure extends CanvasLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `addEventButtonHoverText`
  `String`
  `allDayField`
  `String`
  `allowDurationEvents`
  `String`
  `allowLongEvents`
  `String`
  `alternateLaneStyles`
  `String`
  `alwaysShowEventHovers`
  `String`
  `backButtonIconSrc`
  `String`
  `backButtonTitle`
  `String`
  `baseStyle`
  `String`
  `bringEventsToFront`
  `String`
  `calMonthEventLinkStyle`
  `String`
  `cancelButtonTitle`
  `String`
  `canCreateEvents`
  `String`
  `canCreateOtherDayEvents`
  `String`
  `canDeleteEvents`
  `String`
  `canDragCreateEvents`
  `String`
  `canDragEventField`
  `String`
  `canDragEvents`
  `String`
  `canEditEvents`
  `String`
  `canEditField`
  `String`
  `canEditLane`
  `String`
  `canEditLaneField`
  `String`
  `canEditSublane`
  `String`
  `canEditSublaneField`
  `String`
  `canGroupLanes`
  `String`
  `canRemoveEvents`
  `String`
  `canRemoveField`
  `String`
  `canReorderLanes`
  `String`
  `canResizeEventField`
  `String`
  `canResizeEvents`
  `String`
  `canResizeTimelineEvents`
  `String`
  `canSelectEvents`
  `String`
  `chosenDate`
  `String`
  `columnsPerPage`
  `String`
  `controlBarIconBaseStyle`
  `String`
  `controlBarIconSize`
  `String`
  `controlsBarHeight`
  `String`
  `currentViewName`
  `CalendarEvent[]`
  `data`
  `String`
  `dataFetchMode`
  `String`
  `dateEditingStyle`
  `String`
  `dateFormatter`
  `String`
  `dateLabelStyleName`
  `String`
  `datePickerHoverText`
  `String`
  `dayBodyBaseStyle`
  `String`
  `dayHeaderBaseStyle`
  `String`
  `dayViewTitle`
  `String`
  `defaultTimelineColumnSpan`
  `String`
  `descriptionField`
  `String`
  `detailsButtonTitle`
  `String`
  `disableWeekends`
  `String`
  `dragGhostHeight`
  `String`
  `dragGhostSpace`
  `String`
  `dragGhostSpaceVAlign`
  `String`
  `dragGhostVAlign`
  `String`
  `durationField`
  `String`
  `durationUnitField`
  `String`
  `endDate`
  `String`
  `endDateField`
  `String`
  `eventAllDayFieldTitle`
  `String`
  `eventAutoArrange`
  `String`
  `eventCanvasCloseButtonSize`
  `String`
  `eventCanvasCloseIconSize`
  `String`
  `eventDescriptionFieldTitle`
  `FormItem[]`
  `eventDialogFields`
  `String`
  `eventDragGap`
  `String`
  `eventDurationFieldTitle`
  `String`
  `eventDurationUnitFieldTitle`
  `String[]`
  `eventEditorButtons`
  `String`
  `eventEditorDateFieldTitle`
  `FormItem[]`
  `eventEditorFields`
  `String`
  `eventEndDateFieldTitle`
  `String`
  `eventHeaderHeight`
  `String`
  `eventHeaderWrap`
  `String`
  `eventLaneFieldTitle`
  `String`
  `eventMultiDayFieldTitle`
  `String`
  `eventNameFieldTitle`
  `String`
  `eventOverflowDialogTitleSuffix`
  `String`
  `eventOverflowHoverHTML`
  `String`
  `eventOverflowHoverMaxEvents`
  `String`
  `eventOverflowImgWidth`
  `String`
  `eventOverflowSrc`
  `String`
  `eventOverflowStyle`
  `String`
  `eventOverlap`
  `String`
  `eventOverlapIdenticalStartTimes`
  `String`
  `eventOverlapPercent`
  `String`
  `eventScreen`
  `String`
  `eventSnapGap`
  `String`
  `eventStartDateFieldTitle`
  `String`
  `eventStyleName`
  `String`
  `eventStyleNameField`
  `String`
  `eventSublaneFieldTitle`
  `String`
  `eventWindowStyle`
  `String`
  `eventWindowStyleField`
  `String`
  `firstDayOfWeek`
  `String`
  `fixedEventHeight`
  `String`
  `fixedMonths`
  `HeaderLevel[]`
  `headerLevels`
  `String`
  `hideUnusedLanes`
  `String`
  `hoverMoveWithMouse`
  `String`
  `includeRangeCriteria`
  `CalendarEvent[]`
  `indicators`
  `String`
  `indicatorStyleName`
  `String`
  `invalidDateMessage`
  `String`
  `laneEventPadding`
  `ListGridField[]`
  `laneFields`
  `String`
  `laneGroupByFieldAsString`
  `String`
  `laneGroupStartOpenAsString`
  `String`
  `laneNameField`
  `Lane[]`
  `lanes`
  `String`
  `leadingDateField`
  `String`
  `limitToWorkday`
  `String`
  `longEventDragOpacity`
  `String`
  `longEventHeight`
  `String`
  `longEventLayoutStyleName`
  `String`
  `longEventStyleName`
  `String`
  `minEventWidth`
  `String`
  `minimalUI`
  `String`
  `minimumDayHeight`
  `String`
  `minLaneHeight`
  `String`
  `minLaneWidth`
  `String`
  `minRowHeight`
  `String`
  `minutesPerRow`
  `String`
  `monthButtonIconSrc`
  `String`
  `monthButtonTitle`
  `String`
  `monthDayBodyHeight`
  `String`
  `monthDayHeaderHeight`
  `String`
  `monthMoreEventsLinkTitle`
  `String`
  `monthViewTitle`
  `String`
  `nameField`
  `String`
  `newEventWindowTitle`
  `String`
  `newLongEventName`
  `String`
  `nextButtonHoverText`
  `String`
  `otherDayBlankStyle`
  `String`
  `otherDayBodyBaseStyle`
  `String`
  `otherDayClickNavigation`
  `String`
  `otherDayHeaderBaseStyle`
  `SortSpecifier[]`
  `overlapSortSpecifiers`
  `String`
  `previousButtonHoverText`
  `String`
  `removeButtonTitle`
  `String`
  `renderEventsOnDemand`
  `String`
  `rowHeight`
  `String`
  `rowTitleFrequency`
  `String`
  `saveButtonTitle`
  `String`
  `scrollToWorkday`
  `String`
  `selectChosenDate`
  `String`
  `selectedCellStyle`
  `String`
  `showAddEventButton`
  `String`
  `showCellHovers`
  `String`
  `showColumnLayouts`
  `String`
  `showControlsBar`
  `String`
  `showDateChooser`
  `String`
  `showDatePickerButton`
  `String`
  `showDayHeaders`
  `String`
  `showDayLanes`
  `String`
  `showDayView`
  `String`
  `showDetailFields`
  `String`
  `showDragHovers`
  `String`
  `showEventCanvasComponents`
  `String`
  `showEventDescriptions`
  `String`
  `showEventEditorErrorsInline`
  `String`
  `showEventHeaders`
  `String`
  `showEventHovers`
  `String`
  `showEventOverflowDialog`
  `String`
  `showEventOverflowImg`
  `String`
  `showHeaderHovers`
  `String`
  `showIndicators`
  `String`
  `showIndicatorsInFront`
  `String`
  `showLabelColumn`
  `String`
  `showLaneFieldHovers`
  `String`
  `showLaneRollOver`
  `String`
  `showMonthButton`
  `String`
  `showMonthView`
  `String`
  `showNextButton`
  `String`
  `showOtherDays`
  `String`
  `showPreviousButton`
  `String`
  `showQuickEventDialog`
  `String`
  `showTimelineView`
  `String`
  `showViewHovers`
  `String`
  `showWeekends`
  `String`
  `showWeekView`
  `String`
  `showWorkday`
  `String`
  `showZoneHovers`
  `String`
  `showZones`
  `String`
  `sizeEventsToGrid`
  `String`
  `sizeToWorkday`
  `String`
  `startDate`
  `String`
  `startDateField`
  `String`
  `styleWorkday`
  `String`
  `sublaneNameField`
  `String`
  `timeFormatter`
  `String`
  `timelineGranularity`
  `String`
  `timelineUnitsPerColumn`
  `String`
  `timelineViewTitle`
  `String`
  `todayBackgroundColor`
  `String`
  `trailingDateField`
  `String`
  `twentyFourHourTime`
  `String`
  `useEventCanvasRolloverControls`
  `String`
  `useSublanes`
  `String[]`
  `weekendDays`
  `String`
  `weekEventBorderOverlap`
  `String`
  `weekPrefix`
  `String`
  `weekViewTitle`
  `String`
  `workdayBaseStyle`
  `String[]`
  `workdays`
  `CalendarEvent[]`
  `zones`
  `String`
  `zoneStyleName`
  `String`
  `zoneTitleOrientation`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, editProxyConstructor, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, overflow, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### addEventButtonHoverText

    public String addEventButtonHoverText

  - ### allDayField

    public String allDayField

  - ### allowDurationEvents

    public String allowDurationEvents

  - ### allowLongEvents

    public String allowLongEvents

  - ### alternateLaneStyles

    public String alternateLaneStyles

  - ### alwaysShowEventHovers

    public String alwaysShowEventHovers

  - ### backButtonIconSrc

    public String backButtonIconSrc

  - ### backButtonTitle

    public String backButtonTitle

  - ### baseStyle

    public String baseStyle

  - ### bringEventsToFront

    public String bringEventsToFront

  - ### calMonthEventLinkStyle

    public String calMonthEventLinkStyle

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### canCreateEvents

    public String canCreateEvents

  - ### canCreateOtherDayEvents

    public String canCreateOtherDayEvents

  - ### canDeleteEvents

    public String canDeleteEvents

  - ### canDragCreateEvents

    public String canDragCreateEvents

  - ### canDragEventField

    public String canDragEventField

  - ### canDragEvents

    public String canDragEvents

  - ### canEditEvents

    public String canEditEvents

  - ### canEditField

    public String canEditField

  - ### canEditLane

    public String canEditLane

  - ### canEditLaneField

    public String canEditLaneField

  - ### canEditSublane

    public String canEditSublane

  - ### canEditSublaneField

    public String canEditSublaneField

  - ### canGroupLanes

    public String canGroupLanes

  - ### canRemoveEvents

    public String canRemoveEvents

  - ### canRemoveField

    public String canRemoveField

  - ### canReorderLanes

    public String canReorderLanes

  - ### canResizeEventField

    public String canResizeEventField

  - ### canResizeEvents

    public String canResizeEvents

  - ### canResizeTimelineEvents

    public String canResizeTimelineEvents

  - ### canSelectEvents

    public String canSelectEvents

  - ### chosenDate

    public String chosenDate

  - ### columnsPerPage

    public String columnsPerPage

  - ### controlBarIconBaseStyle

    public String controlBarIconBaseStyle

  - ### controlBarIconSize

    public String controlBarIconSize

  - ### controlsBarHeight

    public String controlsBarHeight

  - ### currentViewName

    public String currentViewName

  - ### data

    public CalendarEvent[] data

  - ### dataFetchMode

    public String dataFetchMode

  - ### dateEditingStyle

    public String dateEditingStyle

  - ### dateFormatter

    public String dateFormatter

  - ### dateLabelStyleName

    public String dateLabelStyleName

  - ### datePickerHoverText

    public String datePickerHoverText

  - ### dayBodyBaseStyle

    public String dayBodyBaseStyle

  - ### dayHeaderBaseStyle

    public String dayHeaderBaseStyle

  - ### dayViewTitle

    public String dayViewTitle

  - ### defaultTimelineColumnSpan

    public String defaultTimelineColumnSpan

  - ### descriptionField

    public String descriptionField

  - ### detailsButtonTitle

    public String detailsButtonTitle

  - ### disableWeekends

    public String disableWeekends

  - ### dragGhostHeight

    public String dragGhostHeight

  - ### dragGhostSpace

    public String dragGhostSpace

  - ### dragGhostSpaceVAlign

    public String dragGhostSpaceVAlign

  - ### dragGhostVAlign

    public String dragGhostVAlign

  - ### durationField

    public String durationField

  - ### durationUnitField

    public String durationUnitField

  - ### endDate

    public String endDate

  - ### endDateField

    public String endDateField

  - ### eventAllDayFieldTitle

    public String eventAllDayFieldTitle

  - ### eventAutoArrange

    public String eventAutoArrange

  - ### eventCanvasCloseButtonSize

    public String eventCanvasCloseButtonSize

  - ### eventCanvasCloseIconSize

    public String eventCanvasCloseIconSize

  - ### eventDescriptionFieldTitle

    public String eventDescriptionFieldTitle

  - ### eventDialogFields

    public FormItem[] eventDialogFields

  - ### eventDragGap

    public String eventDragGap

  - ### eventDurationFieldTitle

    public String eventDurationFieldTitle

  - ### eventDurationUnitFieldTitle

    public String eventDurationUnitFieldTitle

  - ### eventEditorButtons

    public String[] eventEditorButtons

  - ### eventEditorDateFieldTitle

    public String eventEditorDateFieldTitle

  - ### eventEditorFields

    public FormItem[] eventEditorFields

  - ### eventEndDateFieldTitle

    public String eventEndDateFieldTitle

  - ### eventHeaderHeight

    public String eventHeaderHeight

  - ### eventHeaderWrap

    public String eventHeaderWrap

  - ### eventLaneFieldTitle

    public String eventLaneFieldTitle

  - ### eventMultiDayFieldTitle

    public String eventMultiDayFieldTitle

  - ### eventNameFieldTitle

    public String eventNameFieldTitle

  - ### eventOverflowDialogTitleSuffix

    public String eventOverflowDialogTitleSuffix

  - ### eventOverflowHoverHTML

    public String eventOverflowHoverHTML

  - ### eventOverflowHoverMaxEvents

    public String eventOverflowHoverMaxEvents

  - ### eventOverflowImgWidth

    public String eventOverflowImgWidth

  - ### eventOverflowSrc

    public String eventOverflowSrc

  - ### eventOverflowStyle

    public String eventOverflowStyle

  - ### eventOverlap

    public String eventOverlap

  - ### eventOverlapIdenticalStartTimes

    public String eventOverlapIdenticalStartTimes

  - ### eventOverlapPercent

    public String eventOverlapPercent

  - ### eventScreen

    public String eventScreen

  - ### eventSnapGap

    public String eventSnapGap

  - ### eventStartDateFieldTitle

    public String eventStartDateFieldTitle

  - ### eventStyleName

    public String eventStyleName

  - ### eventStyleNameField

    public String eventStyleNameField

  - ### eventSublaneFieldTitle

    public String eventSublaneFieldTitle

  - ### eventWindowStyle

    public String eventWindowStyle

  - ### eventWindowStyleField

    public String eventWindowStyleField

  - ### firstDayOfWeek

    public String firstDayOfWeek

  - ### fixedEventHeight

    public String fixedEventHeight

  - ### fixedMonths

    public String fixedMonths

  - ### headerLevels

    public HeaderLevel[] headerLevels

  - ### hideUnusedLanes

    public String hideUnusedLanes

  - ### hoverMoveWithMouse

    public String hoverMoveWithMouse

  - ### includeRangeCriteria

    public String includeRangeCriteria

  - ### indicators

    public CalendarEvent[] indicators

  - ### indicatorStyleName

    public String indicatorStyleName

  - ### invalidDateMessage

    public String invalidDateMessage

  - ### laneEventPadding

    public String laneEventPadding

  - ### laneFields

    public ListGridField[] laneFields

  - ### laneGroupByFieldAsString

    public String laneGroupByFieldAsString

  - ### laneGroupStartOpenAsString

    public String laneGroupStartOpenAsString

  - ### laneNameField

    public String laneNameField

  - ### lanes

    public Lane[] lanes

  - ### leadingDateField

    public String leadingDateField

  - ### limitToWorkday

    public String limitToWorkday

  - ### longEventDragOpacity

    public String longEventDragOpacity

  - ### longEventHeight

    public String longEventHeight

  - ### longEventLayoutStyleName

    public String longEventLayoutStyleName

  - ### longEventStyleName

    public String longEventStyleName

  - ### minEventWidth

    public String minEventWidth

  - ### minimalUI

    public String minimalUI

  - ### minimumDayHeight

    public String minimumDayHeight

  - ### minLaneHeight

    public String minLaneHeight

  - ### minLaneWidth

    public String minLaneWidth

  - ### minRowHeight

    public String minRowHeight

  - ### minutesPerRow

    public String minutesPerRow

  - ### monthButtonIconSrc

    public String monthButtonIconSrc

  - ### monthButtonTitle

    public String monthButtonTitle

  - ### monthDayBodyHeight

    public String monthDayBodyHeight

  - ### monthDayHeaderHeight

    public String monthDayHeaderHeight

  - ### monthMoreEventsLinkTitle

    public String monthMoreEventsLinkTitle

  - ### monthViewTitle

    public String monthViewTitle

  - ### nameField

    public String nameField

  - ### newEventWindowTitle

    public String newEventWindowTitle

  - ### newLongEventName

    public String newLongEventName

  - ### nextButtonHoverText

    public String nextButtonHoverText

  - ### otherDayBlankStyle

    public String otherDayBlankStyle

  - ### otherDayBodyBaseStyle

    public String otherDayBodyBaseStyle

  - ### otherDayClickNavigation

    public String otherDayClickNavigation

  - ### otherDayHeaderBaseStyle

    public String otherDayHeaderBaseStyle

  - ### overlapSortSpecifiers

    public SortSpecifier[] overlapSortSpecifiers

  - ### previousButtonHoverText

    public String previousButtonHoverText

  - ### removeButtonTitle

    public String removeButtonTitle

  - ### renderEventsOnDemand

    public String renderEventsOnDemand

  - ### rowHeight

    public String rowHeight

  - ### rowTitleFrequency

    public String rowTitleFrequency

  - ### saveButtonTitle

    public String saveButtonTitle

  - ### scrollToWorkday

    public String scrollToWorkday

  - ### selectChosenDate

    public String selectChosenDate

  - ### selectedCellStyle

    public String selectedCellStyle

  - ### showAddEventButton

    public String showAddEventButton

  - ### showCellHovers

    public String showCellHovers

  - ### showColumnLayouts

    public String showColumnLayouts

  - ### showControlsBar

    public String showControlsBar

  - ### showDateChooser

    public String showDateChooser

  - ### showDatePickerButton

    public String showDatePickerButton

  - ### showDayHeaders

    public String showDayHeaders

  - ### showDayLanes

    public String showDayLanes

  - ### showDayView

    public String showDayView

  - ### showDetailFields

    public String showDetailFields

  - ### showDragHovers

    public String showDragHovers

  - ### showEventCanvasComponents

    public String showEventCanvasComponents

  - ### showEventDescriptions

    public String showEventDescriptions

  - ### showEventEditorErrorsInline

    public String showEventEditorErrorsInline

  - ### showEventHeaders

    public String showEventHeaders

  - ### showEventHovers

    public String showEventHovers

  - ### showEventOverflowDialog

    public String showEventOverflowDialog

  - ### showEventOverflowImg

    public String showEventOverflowImg

  - ### showHeaderHovers

    public String showHeaderHovers

  - ### showIndicators

    public String showIndicators

  - ### showIndicatorsInFront

    public String showIndicatorsInFront

  - ### showLabelColumn

    public String showLabelColumn

  - ### showLaneFieldHovers

    public String showLaneFieldHovers

  - ### showLaneRollOver

    public String showLaneRollOver

  - ### showMonthButton

    public String showMonthButton

  - ### showMonthView

    public String showMonthView

  - ### showNextButton

    public String showNextButton

  - ### showOtherDays

    public String showOtherDays

  - ### showPreviousButton

    public String showPreviousButton

  - ### showQuickEventDialog

    public String showQuickEventDialog

  - ### showTimelineView

    public String showTimelineView

  - ### showViewHovers

    public String showViewHovers

  - ### showWeekends

    public String showWeekends

  - ### showWeekView

    public String showWeekView

  - ### showWorkday

    public String showWorkday

  - ### showZoneHovers

    public String showZoneHovers

  - ### showZones

    public String showZones

  - ### sizeEventsToGrid

    public String sizeEventsToGrid

  - ### sizeToWorkday

    public String sizeToWorkday

  - ### startDate

    public String startDate

  - ### startDateField

    public String startDateField

  - ### styleWorkday

    public String styleWorkday

  - ### sublaneNameField

    public String sublaneNameField

  - ### timeFormatter

    public String timeFormatter

  - ### timelineGranularity

    public String timelineGranularity

  - ### timelineUnitsPerColumn

    public String timelineUnitsPerColumn

  - ### timelineViewTitle

    public String timelineViewTitle

  - ### todayBackgroundColor

    public String todayBackgroundColor

  - ### trailingDateField

    public String trailingDateField

  - ### twentyFourHourTime

    public String twentyFourHourTime

  - ### useEventCanvasRolloverControls

    public String useEventCanvasRolloverControls

  - ### useSublanes

    public String useSublanes

  - ### weekendDays

    public String[] weekendDays

  - ### weekEventBorderOverlap

    public String weekEventBorderOverlap

  - ### weekPrefix

    public String weekPrefix

  - ### weekViewTitle

    public String weekViewTitle

  - ### workdayBaseStyle

    public String workdayBaseStyle

  - ### workdays

    public String[] workdays

  - ### zones

    public CalendarEvent[] zones

  - ### zoneStyleName

    public String zoneStyleName

  - ### zoneTitleOrientation

    public String zoneTitleOrientation

- ## Constructor Details

  - ### CalendarLogicalStructure

    public CalendarLogicalStructure()